Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetOption

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetOption

Enclosing class:
  TdApi

public static final class TdApi.SetOption extends TdApi.Function<TdApi.Ok>
Sets the value of an option. (Check the list of available options on https://core.telegram.org/tdlib/options.) Only writable options can be set. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`name`
The name of the option.
`TdApi.OptionValue`
`value`
The new value of the option; pass null to reset option value to a default value.

## Constructor Summary

Constructors
Constructor
Description
`SetOption()`
Sets the value of an option.
`SetOption(DataInput input)`
Sets the value of an option.
`SetOption(String name, TdApi.OptionValue value)`
Sets the value of an option.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name
The name of the option.

### value

public TdApi.OptionValue value
The new value of the option; pass null to reset option value to a default value.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetOption

public SetOption()
Sets the value of an option. (Check the list of available options on https://core.telegram.org/tdlib/options.) Only writable options can be set. Can be called before authorization.

Returns `Ok`

### SetOption

public SetOption(String name, TdApi.OptionValue value)
Sets the value of an option. (Check the list of available options on https://core.telegram.org/tdlib/options.) Only writable options can be set. Can be called before authorization.

Returns `Ok`

Parameters:
  `name` - The name of the option.
  `value` - The new value of the option; pass null to reset option value to a default value.

  Returns `Ok`

### SetOption

public SetOption(DataInput input) throws IOException
Sets the value of an option. (Check the list of available options on https://core.telegram.org/tdlib/options.) Only writable options can be set. Can be called before authorization.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`